curl --request GET \
--url https://chat.domix.ai/api/v1/accounts/{account_id}/conversations/{conversation_id} \
--header 'api-access-token: <api-key>'import requests
url = "https://chat.domix.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}"
headers = {"api-access-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-access-token': '<api-key>'}};
fetch('https://chat.domix.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"messages": [
{
"id": 123,
"content": "<string>",
"account_id": 123,
"inbox_id": 123,
"conversation_id": 123,
"created_at": 123,
"updated_at": 123,
"private": true,
"source_id": "<string>",
"content_attributes": {},
"sender_id": 123,
"external_source_ids": {},
"additional_attributes": {},
"processed_message_content": "<string>",
"sentiment": {},
"conversation": {},
"attachment": {},
"sender": {}
}
],
"account_id": 123,
"uuid": "<string>",
"additional_attributes": {},
"agent_last_seen_at": 123,
"assignee_last_seen_at": 123,
"can_reply": true,
"contact_last_seen_at": 123,
"custom_attributes": {},
"inbox_id": 123,
"labels": [
"<string>"
],
"muted": true,
"snoozed_until": 123,
"created_at": 123,
"updated_at": 123,
"timestamp": 123,
"first_reply_created_at": 123,
"unread_count": 123,
"last_non_activity_message": {
"id": 123,
"content": "<string>",
"account_id": 123,
"inbox_id": 123,
"conversation_id": 123,
"created_at": 123,
"updated_at": 123,
"private": true,
"source_id": "<string>",
"content_attributes": {},
"sender_id": 123,
"external_source_ids": {},
"additional_attributes": {},
"processed_message_content": "<string>",
"sentiment": {},
"conversation": {},
"attachment": {},
"sender": {}
},
"last_activity_at": 123,
"priority": "<string>",
"waiting_since": 123,
"sla_policy_id": 123,
"applied_sla": {},
"sla_events": [
{}
],
"meta": {
"sender": {
"additional_attributes": {},
"availability_status": "<string>",
"email": "<string>",
"id": 123,
"name": "<string>",
"phone_number": "<string>",
"blocked": true,
"identifier": "<string>",
"thumbnail": "<string>",
"custom_attributes": {},
"last_activity_at": 123,
"created_at": 123
},
"channel": "<string>",
"assignee": {
"id": 123,
"access_token": "<string>",
"account_id": 123,
"available_name": "<string>",
"avatar_url": "<string>",
"confirmed": true,
"display_name": "<string>",
"message_signature": "<string>",
"email": "<string>",
"hmac_identifier": "<string>",
"inviter_id": 123,
"name": "<string>",
"provider": "<string>",
"pubsub_token": "<string>",
"ui_settings": {},
"uid": "<string>",
"type": "<string>",
"custom_attributes": {},
"accounts": [
{
"id": 123,
"name": "<string>",
"status": "<string>",
"active_at": "2023-11-07T05:31:56Z",
"permissions": [
"<string>"
],
"availability": "<string>",
"availability_status": "<string>",
"auto_offline": true,
"custom_role_id": 123,
"custom_role": {}
}
]
},
"hmac_verified": true
}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Conversation Details
Get all details regarding a conversation with all messages in the conversation
Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
The numeric ID of the conversation
Response
Success
ID of the conversation
Hide child attributes
Hide child attributes
The ID of the message
The text content of the message
The ID of the account
The ID of the inbox
The ID of the conversation
The type of the message
0, 1, 2, 3 The time at which message was created
The time at which message was updated
The flags which shows whether the message is private or not
The status of the message
sent, delivered, read, failed, null The source ID of the message
The type of the template message
text, input_text, input_textarea, input_email, input_select, cards, form, article, incoming_email, input_csat, integrations, sticker, voice_call, null The content attributes for each content_type
The type of the sender
Contact, User, AgentBot, Captain::Assistant, null The ID of the sender
The external source IDs of the message
The additional attributes of the message
The processed message content
The sentiment of the message
The conversation object
The file object attached to the image
User/Agent/AgentBot object
Account Id
UUID of the conversation
The object containing additional attributes related to the conversation
The last activity at of the agent
The last activity at of the assignee
Whether the conversation can be replied to
The last activity at of the contact
The object to save custom attributes for conversation, accepts custom attributes key and value
ID of the inbox
The labels of the conversation
Whether the conversation is muted
The time at which the conversation will be unmuted
The status of the conversation
open, resolved, pending The time at which conversation was created
The time at which conversation was updated
The time at which conversation was created
The time at which the first reply was created
The number of unread messages
The last non activity message
Hide child attributes
Hide child attributes
The ID of the message
The text content of the message
The ID of the account
The ID of the inbox
The ID of the conversation
The type of the message
0, 1, 2, 3 The time at which message was created
The time at which message was updated
The flags which shows whether the message is private or not
The status of the message
sent, delivered, read, failed, null The source ID of the message
The type of the template message
text, input_text, input_textarea, input_email, input_select, cards, form, article, incoming_email, input_csat, integrations, sticker, voice_call, null The content attributes for each content_type
The type of the sender
Contact, User, AgentBot, Captain::Assistant, null The ID of the sender
The external source IDs of the message
The additional attributes of the message
The processed message content
The sentiment of the message
The conversation object
The file object attached to the image
User/Agent/AgentBot object
The last activity at of the conversation
The priority of the conversation
The time at which the conversation was waiting
The ID of the SLA policy
The applied SLA
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
The additional attributes of the sender
The availability status of the sender
The email of the sender
ID fo the sender
The name of the sender
The phone number of the sender
Whether the sender is blocked
The identifier of the sender
Avatar URL of the contact
The custom attributes of the sender
The last activity at of the sender
The created at of the sender
Channel Type
Hide child attributes
Hide child attributes
agent, administrator Available for users who are created through platform APIs and has custom attributes associated.
Hide child attributes
Hide child attributes
administrator, agent Whether the hmac is verified